Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.snmp
Interface SnmpDataTypeEnums

All Known Implementing Classes:
  SnmpValue, SnmpVarBind

Deprecated. Use package `com.sun.management.snmp` in preference to classes in this package. This class may be removed in a future version of Java DMK.

public interface SnmpDataTypeEnums

Contains SNMP data type constants. All members are static and can be used by any application.

Version:
  4.9 11/17/06
Author:
  Sun Microsystems, Inc, Cisco Systems, Inc.

Field Summary
`static int` | `ApplFlag` Deprecated. ASN.1 Tag for application context.
`static int` | `BitStringTag` Deprecated. ASN.1 tag for representing the bit string type.
`static int` | `BooleanTag` Deprecated. ASN.1 tag for representing the boolean type.
`static int` | `Counter64Tag` Deprecated. ASN.1 tag for representing a `Counter64` as defined in RFC 1155.
`static int` | `CounterTag` Deprecated. ASN.1 tag for representing a `Counter32` as defined in RFC 1155.
`static int` | `CtxtFlag` Deprecated. ASN.1 tag for implicit context.
`static int` | `errEndOfMibViewTag` Deprecated. ASN.1 tag for representing an `EndOfMibView` as defined in RFC 1902.
`static int` | `errNoSuchInstanceTag` Deprecated. ASN.1 tag for representing a `NoSuchInstance` as defined in RFC 1902.
`static int` | `errNoSuchObjectTag` Deprecated. ASN.1 tag for representing a `NoSuchObject` as defined in RFC 1902.
`static int` | `GaugeTag` Deprecated. ASN.1 tag for representing a `Gauge32` as defined in RFC 1155.
`static int` | `IntegerTag` Deprecated. ASN.1 tag for representing the integer type.
`static int` | `IpAddressTag` Deprecated. ASN.1 tag for representing an IP address as defined in RFC 1155.
`static int` | `NsapTag` Deprecated. ASN.1 tag for representing an `Nsap` as defined in RFC 1902.
`static int` | `NullTag` Deprecated. ASN.1 tag for representing the null type.
`static int` | `ObjectIdentiferTag` Deprecated. use `ObjectIdentifierTag` instead
`static int` | `ObjectIdentifierTag` Deprecated. ASN.1 tag for representing the Object Identifier type.
`static int` | `OctetStringTag` Deprecated. ASN.1 tag for representing the octet string type.
`static int` | `OpaqueTag` Deprecated. ASN.1 tag for representing an `Opaque` type as defined in RFC 1155.
`static int` | `SequenceTag` Deprecated. ASN.1 tag for a `SEQUENCE` or `SEQUENCE OF`.
`static int` | `TableTag` Deprecated. Represents an SNMP table.
`static int` | `TimeticksTag` Deprecated. ASN.1 tag for representing a `Timeticks` as defined in RFC 1155.
`static int` | `UintegerTag` Deprecated. ASN.1 tag for representing an `Unsigned32` integer as defined in RFC 1902.
`static int` | `UnknownSyntaxTag` Deprecated. Represents a unknown syntax type.

Field Detail

### BooleanTag

    public static final int BooleanTag

  Deprecated.
  ASN.1 tag for representing the boolean type.

  See Also:
    Constant Field Values

### IntegerTag

    public static final int IntegerTag

  Deprecated.
  ASN.1 tag for representing the integer type.

  See Also:
    Constant Field Values

### BitStringTag

    public static final int BitStringTag

  Deprecated.
  ASN.1 tag for representing the bit string type.

  See Also:
    Constant Field Values

### OctetStringTag

    public static final int OctetStringTag

  Deprecated.
  ASN.1 tag for representing the octet string type.

  See Also:
    Constant Field Values

### NullTag

    public static final int NullTag

  Deprecated.
  ASN.1 tag for representing the null type.

  See Also:
    Constant Field Values

### ObjectIdentifierTag

    public static final int ObjectIdentifierTag

  Deprecated.
  ASN.1 tag for representing the Object Identifier type.

  See Also:
    Constant Field Values

### ObjectIdentiferTag

    public static final int ObjectIdentiferTag

  Deprecated. use `ObjectIdentifierTag` instead

  See Also:
    Constant Field Values

### UnknownSyntaxTag

    public static final int UnknownSyntaxTag

  Deprecated.
  Represents a unknown syntax type. No meaning in an ASN.1 context.

  See Also:
    Constant Field Values

### SequenceTag

    public static final int SequenceTag

  Deprecated.
  ASN.1 tag for a `SEQUENCE` or `SEQUENCE OF`.

  See Also:
    Constant Field Values

### TableTag

    public static final int TableTag

  Deprecated.
  Represents an SNMP table. No meaning in an ASN.1 context.

  See Also:
    Constant Field Values

### ApplFlag

    public static final int ApplFlag

  Deprecated.
  ASN.1 Tag for application context.

  See Also:
    Constant Field Values

### CtxtFlag

    public static final int CtxtFlag

  Deprecated.
  ASN.1 tag for implicit context.

  See Also:
    Constant Field Values

### IpAddressTag

    public static final int IpAddressTag

  Deprecated.
  ASN.1 tag for representing an IP address as defined in RFC 1155.

  See Also:
    Constant Field Values

### CounterTag

    public static final int CounterTag

  Deprecated.
  ASN.1 tag for representing a `Counter32` as defined in RFC 1155.

  See Also:
    Constant Field Values

### GaugeTag

    public static final int GaugeTag

  Deprecated.
  ASN.1 tag for representing a `Gauge32` as defined in RFC 1155.

  See Also:
    Constant Field Values

### TimeticksTag

    public static final int TimeticksTag

  Deprecated.
  ASN.1 tag for representing a `Timeticks` as defined in RFC 1155.

  See Also:
    Constant Field Values

### OpaqueTag

    public static final int OpaqueTag

  Deprecated.
  ASN.1 tag for representing an `Opaque` type as defined in RFC 1155.

  See Also:
    Constant Field Values

### Counter64Tag

    public static final int Counter64Tag

  Deprecated.
  ASN.1 tag for representing a `Counter64` as defined in RFC 1155.

  See Also:
    Constant Field Values

### NsapTag

    public static final int NsapTag

  Deprecated.
  ASN.1 tag for representing an `Nsap` as defined in RFC 1902.

  See Also:
    Constant Field Values

### UintegerTag

    public static final int UintegerTag

  Deprecated.
  ASN.1 tag for representing an `Unsigned32` integer as defined in RFC 1902.

  See Also:
    Constant Field Values

### errNoSuchObjectTag

    public static final int errNoSuchObjectTag

  Deprecated.
  ASN.1 tag for representing a `NoSuchObject` as defined in RFC 1902.

  See Also:
    Constant Field Values

### errNoSuchInstanceTag

    public static final int errNoSuchInstanceTag

  Deprecated.
  ASN.1 tag for representing a `NoSuchInstance` as defined in RFC 1902.

  See Also:
    Constant Field Values

### errEndOfMibViewTag

    public static final int errEndOfMibViewTag

  Deprecated.
  ASN.1 tag for representing an `EndOfMibView` as defined in RFC 1902.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| FCS Release jdmk-5_1-b34.3 2007.01.18_18:11:52_MET
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2006 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.